LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06688Bug reports[All Projects] Survey takingpublic2012-10-12 14:492012-10-16 12:23
Reporterriqcles 
Assigned Toc_schmitz 
PriorityhighSeveritycrash 
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.00+ 
Summary06688: Apostrophe (single quote) in question code for question type Multiple choice and Mutliple choice with comments crashes survey
DescriptionWhen you create a question type like Multiple choice or Multiple choice with comments and you add a apostrophe on the question code, all look like OK.

But when you want to have a preview of the question, you have a SQL warning : survey crash.

I do it on my system (wamp/php 5.1.13/PostgreSql 9.1) and on the limesurvey demo on the web site.

Same issue.


My version of LimeSurvey : V192+ build 120909.


PJ : a survey with all the question type and comments for the two.
Steps To Reproduce1. Create question type Multiple choice
2. Add a apostrophe on question code
3. Save and Run
Additional InformationSame issue on the Demo
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID120909
BrowserInternet explorer 8 8.0.6001.18702IC / Firefox 10.0.0
Database & DB-VersionPostgreSql 9.1
Operating System (Server)Windows XP SP3 / CentOS 5.x
Webserver software & versionWamp 2.2 / Apache 2.2.4
PHP Version5.1.13
Attached Files? file icon PB_apostrophe_limesurvey_survey_11889.lss [^] (132,261 bytes) 2012-10-12 14:49
zip file icon Apostrophes_V2_00.zip [^] (738,900 bytes) 2012-10-15 12:24

- Relationships

-  Notes
User avatar (21265)
c_schmitz (administrator)
2012-10-12 16:15

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9748 [^]
User avatar (21274)
TMSWhite (reporter)
2012-10-12 18:29

Carsten-

I think this is a very bad idea. Users should be prevented from including special characters like apostrophes in their variable names. Not only could that break EM (did you fully regression test this?), but it will also be incompatible with SPSS export (the use of VARIABLE_LABEL to remap variable names to the question codes instead of the SGQA codes).

So, I recommend reverting this and using front-end filtering to prevent users from entering special characters in their qcode variable names.

If you look at the Show Survey Logic file for that survey, you will see that all of the variable names are invalid (surrounded by a pink box). We grandfathered in those variable names for version 1.92, but as I recall, we planned to enforce that naming convention for 2.0. That would be an easy change in EM to have the logic file shows those as errors instead of warnings.
User avatar (21325)
riqcles (reporter)
2012-10-15 12:28

I add a video capture do with wink software.
You must uncompress the two files and run the html and press F11 for full screen and best quality.

I've the same issue on limesurvey 2.00.
User avatar (21328)
c_schmitz (administrator)
2012-10-15 12:35

riqcles,

the solution is easy: don't use apostrophes in question codes. I will generally implement measures to prevent that.
User avatar (21330)
riqcles (reporter)
2012-10-15 13:59

Ok. can you apply the same programation you have done for the sub-question (it's impossible to enter apostrophes -> very cool :) ) for all codes questions ?

it may prevent some mistake.
User avatar (21343)
c_schmitz (administrator)
2012-10-16 10:14

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=9885 [^]
User avatar (21359)
c_schmitz (administrator)
2012-10-16 12:23

New 2.00+ Build 121016 released.

- Related Changesets
LimeSurvey: master bb9f50d4
Timestamp: 2012-10-12 07:15:19
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06688: Apostrophe (single quote) in question code for File upload questions disrupts EM logic
mod - application/helpers/expressions/em_core_helper.php Diff ] File ]
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]
mod - application/helpers/qanda_helper.php Diff ] File ]
LimeSurvey: master 887eb23e
Timestamp: 2012-10-16 01:14:24
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06688: Apostrophe (single quote) in question code for File upload questions disrupts EM logic
mod - application/controllers/admin/question.php Diff ] File ]
mod - application/helpers/expressions/em_core_helper.php Diff ] File ]
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]
add - scripts/admin/questions.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-10-12 14:49 riqcles New Issue
2012-10-12 14:49 riqcles File Added: PB_apostrophe_limesurvey_survey_11889.lss
2012-10-12 16:13 c_schmitz Assigned To => c_schmitz
2012-10-12 16:13 c_schmitz Status new => assigned
2012-10-12 16:15 c_schmitz Changeset attached => LimeSurvey master bb9f50d4
2012-10-12 16:15 c_schmitz Note Added: 21265
2012-10-12 16:15 c_schmitz Resolution open => fixed
2012-10-12 16:15 c_schmitz Status assigned => resolved
2012-10-12 16:15 c_schmitz Fixed in Version => 2.00+
2012-10-12 18:29 TMSWhite Note Added: 21274
2012-10-12 18:29 TMSWhite Status resolved => feedback
2012-10-12 18:29 TMSWhite Resolution fixed => reopened
2012-10-15 12:24 riqcles File Added: Apostrophes_V2_00.zip
2012-10-15 12:28 riqcles Note Added: 21325
2012-10-15 12:28 riqcles Status feedback => assigned
2012-10-15 12:35 c_schmitz Note Added: 21328
2012-10-15 13:59 riqcles Note Added: 21330
2012-10-16 10:14 c_schmitz Changeset attached => LimeSurvey master 887eb23e
2012-10-16 10:14 c_schmitz Note Added: 21343
2012-10-16 10:19 c_schmitz Status assigned => resolved
2012-10-16 10:19 c_schmitz Resolution reopened => fixed
2012-10-16 12:23 c_schmitz Note Added: 21359
2012-10-16 12:23 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker